package com.ywt.outpatient.domain.models.enums;

/**
 *  最后（上一次）的选择，0-否，1-是
 */
public enum LastChoiceEnum {
    False("否", 0),
    True("是", 1);

    private final String displayName;

    private int value = 0;

    LastChoiceEnum(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }

    public static LastChoiceEnum valueOf(int value) {
        switch (value) {
            case 1:
                return True;
             default:
                 return False;
        }
    }

    public static String getSexDisplayName(int value){
        LastChoiceEnum enumValue = valueOf(value);

        if(enumValue != null){
            return enumValue.getDisplayName();
        }

        return "未知";
    }
}
